﻿using RimWorld;
using System.Collections.Generic;
using Verse;

namespace Dormitories
{
    public class RoomRoleWorker_Dormitory : RoomRoleWorker
    {
        public override float GetScore(Room room)
        {
            int num = 0; // valid bed tracker
            int num2 = 0; // score multiplayer (non relationship pawns)
            List<Thing> containedAndAdjacentThings = room.ContainedAndAdjacentThings;
            List<Pawn> list = null;
			for (int i = 0; i < containedAndAdjacentThings.Count; i++)
			{
				Building_Bed building_Bed;
				if ((building_Bed = containedAndAdjacentThings[i] as Building_Bed) == null || !building_Bed.def.building.bed_humanlike)
				{
					continue;
				}
				if (building_Bed.SleepingSlotsCount > 1)
                {
					return 0f;
                }
				if (building_Bed.ForPrisoners || building_Bed.Medical)
				{
					return 0f;
				}
				num++;
				List<Pawn> assignedPawnsForReading = building_Bed.CompAssignableToPawn.AssignedPawnsForReading;
				if (!assignedPawnsForReading.NullOrEmpty())
				{
					if (list == null)
					{
						list = assignedPawnsForReading[0].GetLoveCluster();
					}
					foreach (Pawn item in assignedPawnsForReading)
					{
						if (!list.Contains(item))
						{
							num2++;
							break;
						}
					}
				}
				else
				{
					num2++;
				}
			}
			if (num <= 1 || num > 3)
            {
				return 0f;
            }
			return num2 * 100200f;
        }
    }
}